package com.lightinit.hsdataportal.dictionary;

import java.util.LinkedHashMap;

/**
 * Created by WangYao on 2018/5/21.
 */
public class DicRoadShowTrade {

    public static final String LIFE_SERVICE = "生活服务";
    public static final String INDUSTRY_DEVELOP= "产业发展";
    public static final String EDUCATION= "教育";
    public static final String TOURISM = "旅游";
    public static final String  MEDICAL= "医疗";
    public static final String  HOUSE= "房产";
    public static final String  TRAFFIC= "交通";
    public static final String  FARM= "农业";
    public static final String  SOCIAL_MANAGE= "社会治理";
    public static final String  LIVING= "生活";
    public static final String  RELAX= "休闲";
    public static final String  ZHENG_WU= "政务";

    private static DicRoadShowTrade instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicRoadShowTrade(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(LIFE_SERVICE, LIFE_SERVICE);
        dicMap.put(INDUSTRY_DEVELOP, INDUSTRY_DEVELOP);
        dicMap.put(EDUCATION, EDUCATION);
        dicMap.put(TOURISM, TOURISM);
        dicMap.put(MEDICAL, MEDICAL);
        dicMap.put(HOUSE, HOUSE);
        dicMap.put(TRAFFIC, TRAFFIC);
        dicMap.put(FARM, FARM);
        dicMap.put(LIVING, LIVING);
        dicMap.put(SOCIAL_MANAGE, SOCIAL_MANAGE);
        dicMap.put(RELAX, RELAX);
        dicMap.put(ZHENG_WU, ZHENG_WU);
    }

    public static DicRoadShowTrade getInstacne(){
        if (instance == null)
        {
            instance = new DicRoadShowTrade();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
